# std::span<T,Extent>::rbegin, std::span<T,Extent>::crbegin

From cppreference.com
< cpp‎ | container‎ | span

constexpr reverse_iterator rbegin() const noexcept; |  |
constexpr const_reverse_iterator crbegin() const noexcept; |  |

Returns a reverse iterator to the first element of the reversed span. It corresponds to the last element of the non-reversed span. If the span is empty, the returned iterator is equal to rend().

### Parameters

(none)

### Return value

Reverse iterator to the first element.

### Complexity

Constant.

### See also

rend crend | returns a reverse iterator to the end (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/container/span/rbegin&oldid=104940"